> ## Documentation Index
> Fetch the complete documentation index at: https://checkly-422f444a-codex-document-usage-api.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get usage series

> Get paginated usage grouped by time, account, or check type.



## OpenAPI

````yaml get /v1/usage/series
openapi: 3.0.0
info:
  title: Checkly Public API
  version: v1
  description: >-
    These are the docs for the newly released Checkly Public API. If you have
    any questions, please do not hesitate to get in touch with us.
servers:
  - url: https://api.checklyhq.com
security:
  - Bearer: []
tags: []
paths:
  /v1/usage/series:
    get:
      tags:
        - Usage
      summary: Get paginated usage data grouped over time.
      operationId: getV1UsageSeries
      parameters:
        - schema:
            type: string
            format: date
            description: Date used to resolve usage terms. Defaults to today.
          required: false
          description: Date used to resolve usage terms. Defaults to today.
          name: to
          in: query
        - schema:
            type: string
            format: date
            description: Start date, inclusive. Defaults to the resolved usage start date.
          required: false
          description: Start date, inclusive. Defaults to the resolved usage start date.
          name: from
          in: query
        - schema:
            type: array
            nullable: true
            items:
              type: string
            description: >-
              Account IDs included in the resolved usage terms. Repeat or
              comma-separate values.
          required: false
          description: >-
            Account IDs included in the resolved usage terms. Repeat or
            comma-separate values.
          name: accountIds
          in: query
        - schema:
            type: array
            nullable: true
            items:
              type: string
              enum:
                - AGENTIC
                - API
                - BROWSER
                - HEARTBEAT
                - ICMP
                - MULTI_STEP
                - TCP
                - PLAYWRIGHT
                - URL
                - DNS
                - SSL
                - GRPC
                - TRACEROUTE
            description: Check types to include. Repeat or comma-separate values.
          required: false
          description: Check types to include. Repeat or comma-separate values.
          name: checkTypes
          in: query
        - schema:
            type: string
            enum:
              - total
              - day
              - week
              - month
            default: day
            description: Aggregation interval for response rows.
          required: false
          description: Aggregation interval for response rows.
          name: interval
          in: query
        - schema:
            type: string
            enum:
              - account
              - checkType
              - account,checkType
            default: account,checkType
            description: Dimensions to group response rows by.
          required: false
          description: Dimensions to group response rows by.
          name: groupBy
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 500
            default: 100
            description: Maximum number of rows to return.
          required: false
          description: Maximum number of rows to return.
          name: limit
          in: query
        - schema:
            type: string
            minLength: 1
            description: Opaque cursor returned by the previous page.
          required: false
          description: Opaque cursor returned by the previous page.
          name: nextId
          in: query
        - schema:
            type: string
            format: uuid
            description: >-
              Your Checkly account ID, you can find it at
              https://app.checklyhq.com/settings/account/general
          required: false
          description: >-
            Your Checkly account ID, you can find it at
            https://app.checklyhq.com/settings/account/general
          name: x-checkly-account
          in: header
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsageV1SeriesResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    UsageV1SeriesResponse:
      type: object
      properties:
        usageTermsId:
          type: string
          format: uuid
        period:
          $ref: '#/components/schemas/UsageV1SeriesPeriod'
        data:
          type: array
          items:
            $ref: '#/components/schemas/UsageV1Row'
        length:
          type: integer
          minimum: 0
        nextId:
          type: string
          nullable: true
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/UsageV1Warning'
      required:
        - usageTermsId
        - period
        - data
        - length
        - nextId
        - warnings
    ApiError:
      type: object
      properties:
        statusCode:
          type: number
        error:
          type: string
        message:
          type: string
      required:
        - statusCode
        - error
        - message
    UsageV1SeriesPeriod:
      type: object
      properties:
        from:
          type: string
          format: date
        to:
          type: string
          format: date
        interval:
          type: string
          enum:
            - total
            - day
            - week
            - month
        groupBy:
          type: string
          enum:
            - account
            - checkType
            - account,checkType
      required:
        - from
        - to
        - interval
        - groupBy
    UsageV1Row:
      type: object
      properties:
        credits:
          $ref: '#/components/schemas/UsageV1Credits'
        meters:
          type: array
          items:
            $ref: '#/components/schemas/UsageV1Meter'
        periodStart:
          type: string
          format: date
        periodEnd:
          type: string
          format: date
        accountId:
          type: string
        checkType:
          type: string
          enum:
            - AGENTIC
            - API
            - BROWSER
            - HEARTBEAT
            - ICMP
            - MULTI_STEP
            - TCP
            - PLAYWRIGHT
            - URL
            - DNS
            - SSL
            - GRPC
            - TRACEROUTE
      required:
        - credits
        - meters
        - periodStart
        - periodEnd
    UsageV1Warning:
      type: object
      properties:
        code:
          type: string
          enum:
            - PARTIAL_WINDOW
            - USAGE_TERMS_FLAGGED
            - UNKNOWN_BUDGET
        message:
          type: string
      required:
        - code
        - message
    UsageV1Credits:
      type: object
      properties:
        used:
          type: number
          nullable: true
          minimum: 0
        percentOfBudget:
          type: number
          nullable: true
          minimum: 0
      required:
        - used
        - percentOfBudget
    UsageV1Meter:
      type: object
      properties:
        meterType:
          type: string
          minLength: 1
        measures:
          type: object
          additionalProperties:
            type: number
            minimum: 0
      required:
        - meterType
        - measures
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: Bearer
      description: >-
        The Checkly Public API uses API keys to authenticate requests. You can
        get the API Key
        [here](https://app.checklyhq.com/settings/user/api-keys). Your API key
        is like a password: keep it secure!

        Authentication to the API is performed using the Bearer auth method in
        the Authorization header and using the account ID.

        For example, set **Authorization** header while using cURL: `curl -H
        "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"` 

````